Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Interface Service3StaticGreedy

All Known Implementing Classes:
  `Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl`, `Service3StaticGreedyConstructorInjectionImpl`, `Service3StaticGreedyImpl`

public interface Service3StaticGreedy

## Method Summary

Modifier and Type
Method
Description
`ServiceInterface1`
`getReference1()`
`ServiceInterface1Optional`
`getReference1Optional()`
`List<Map<String,Object>>`
`getReference3Configs()`
`List<ServiceInterface2>`
`getReferences2()`
`List<ServiceSuperInterface3>`
`getReferences3()`
`List<ServiceSuperInterface3>`
`getReferences3Filtered()`

## Method Details

### getReference1

ServiceInterface1 getReference1()

### getReference1Optional

ServiceInterface1Optional getReference1Optional()

### getReferences2

List<ServiceInterface2> getReferences2()

### getReferences3

List<ServiceSuperInterface3> getReferences3()

### getReference3Configs

List<Map<String,Object>> getReference3Configs()

### getReferences3Filtered

List<ServiceSuperInterface3> getReferences3Filtered()